# Shortest Sum of Squares ([DEMO](https://shortest-sum-of-squares.netlify.app/))

This is a simple web application that shows a precomputed list of the shortest sum of squares for a given number. The list is
generated in Julia and then exported as a text file. The web application is built using Vite and SolidJS.

## Motivation

The printers in our department have a bug where they will print n^2 copies of a document if you ask for n copies. This solves the
problem in a very convoluted way.

I also wanted to try out Vite with SolidJS for once.

## Usage

### Setup

```bash
bun install
```

### Development

```bash
bun dev
```

### Build

```bash
bun run build
```
